package com.perforce.p4simulink.test;

import static org.junit.Assert.assertEquals;

import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;

import org.junit.Test;
import org.junit.Ignore;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

import com.mathworks.cmlink.api.ApplicationInteractor;
import com.mathworks.cmlink.util.interactor.NullApplicationInteractor;
import com.perforce.p4simulink.P4Adapter;
import com.perforce.p4simulink.P4Interactor;
import com.perforce.p4simulink.connection.Config;
public class BasicTest {

    @Test
    public void thisAlwaysPasses() {
    	Path currentRelativePath = Paths.get("");
    	String s = currentRelativePath.toAbsolutePath().toString();
    	System.out.println("Current relative path is: " + s);
        System.out.println("Hi this is a test.");
        
        P4TestEnvironment env = null;
        try {
        	Config config = new Config();
        	config.setAddress("localhost:1999");
        	config.setUser("testuser");
        	config.setClient("test-client");
        	env = new P4TestEnvironment(new File("/tmp/tests/"), config);
        	System.out.println("Created an environment.");
        	
        	P4Adapter p4 = 
        			(P4Adapter) env.getAdapterFactory().getAdapterForThisSandboxDir(new File("/tmp/tests/"), new NullApplicationInteractor(), config); 
        	p4.connect();
        	p4.disconnect();
        	
        	if (env != null) {
            	env.tearDown();
            }
        } catch (Exception e) {
        	e.printStackTrace(System.out);
        }
    }

    @Test
    @Ignore
    public void thisIsIgnored() {
    }
}
